Notification Rules
Tags: automation, notifications, rules
Notification delivery rules and triggers
Endpoints
GET /api/v2/w/{workspace_uuid}/notification-rules- ListPOST /api/v2/w/{workspace_uuid}/notification-rules- CreateDELETE /api/v2/w/{workspace_uuid}/notification-rules/{rule_id}- Delete Rule IdPUT /api/v2/w/{workspace_uuid}/notification-rules/{rule_id}- Update Rule Id
List
GET /api/v2/w/{workspace_uuid}/notification-rules
Description:
Get all notification rules for a workspace. Requires automations:read scope.
Authorization: Requires automations:read scope
Response: List of NotificationRuleResponse
Create
POST /api/v2/w/{workspace_uuid}/notification-rules
Description:
Create a new notification rule.
Authorization: Requires automations:admin scope
Parameters:
request(NotificationRuleCreate)
Response: See NotificationRuleResponse
Delete Rule Id
DELETE /api/v2/w/{workspace_uuid}/notification-rules/{rule_id}
Description:
Delete a notification rule.
Authorization: Requires automations:admin scope
Parameters:
rule_id(Integer)
Update Rule Id
PUT /api/v2/w/{workspace_uuid}/notification-rules/{rule_id}
Description:
Update an existing notification rule.
Authorization: Requires automations:admin scope
Parameters:
rule_id(Integer)request(NotificationRuleUpdate)
Response: See NotificationRuleResponse